%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% File:         PXC:COMPILER.SL
% Description:  PSL Compiler.
% Author:       Harold Carr & Leigh Stoller
% Created:
% Modified:
% Mode:         Lisp
% Package:
% Status:       Experimental (Do Not Distribute)
%
% (c) Copyright 1987, University of Utah, all rights reserved.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%
% This file loads in all the compiler modules for 370.
%

(push 'sys-consts options*)
(push 'sys-dm options*)
(push 'p1-decls  options*)

(load datamach
      sysconst
      sysdm
      pass1
      p1decls
      pass2 pass3
      compdecl
      xaopernd
      pass1lap
      xalap xainstrs xacmac xacomp xaformat xaldep faslout xaspec)

(load compat)

(setq *writingfaslfile nil)
(setq *writingasmfile nil)
(remprop 'wquotient 'openfn)
(remprop 'wtimes2 'openfn)

% End of file.
