
	.section	".text",#alloc,#execinstr
	.align	8
	.skip	16

	! block 0

	.global	unixinitio
	.type	unixinitio,2
unixinitio:
	save	%sp,-96,%sp

	! block 1
.L60:
.L61:
.L62:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!    1	/*
!    2	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!    3	%
!    4	% File:         PXCC:UNIX-IO.C
!    5	% Description:  Unix PSL FileDescriptors are implemented as stdio streams
!    6	%                 ("FILE *".)
!    7	% Author:       Russell D. Fish
!    8	% Created:      Thu Feb 16 1984
!    9	% Modified:     17-Jul-84 22:49:12 (RAM)
!   10	% Mode:         Text
!   11	% Package:
!   12	% Status:       Experimental (Do Not Distribute)
!   13	%
!   14	% Copyright (c) 1984 Hewlett-Packard Company, all rights reserved.
!   15	% Copyright (c) 1984 University of Utah
!   16	%
!   17	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!   18	%
!   19	% Revisions:
!   20	%
!   21	% 15-Sep-88 (T. Yamamoto and C. Burdorf)
!   22	%  Moved collect out of expand_file_name so it won't be overwritten as a
!   23	%  local before it is referenced.
!   24	% 20-Sep-86 (Leigh Stoller)
!   25	%  Removed assembler alias statements because they are not portable. Instead,
!   26	%  a sed script will be used to convert the _variables of C to VARIABLES of
!   27	%  PSL.
!   28	% 17-Jul-84 22:48:32 (RAM)
!   29	%  Added unixcd, a routine that calls expand_file_name before calling chdir.
!   30	% 3-Jul-84 10:45:57 (RAM)
!   31	%  Added expand_file_name (called from unixopen) to expand shell variable
!   32	%  references and ~ home directory syntax.
!   33	% 29-Jun-84 14:21:21 (RAM)
!   34	%  Added unixputs and unixopen.
!   35	% 21-May-84 17:41:41 (Vicki O'Day)
!   36	%  Added unixcleario.  It is called by syscleario.
!   37	%
!   38	%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
!   39	*/
!   40	 
!   41	#include <stdio.h>
!   42	 
!   43	/* There is an assumption here that coercing addresses into ints is OK */
!   44	/*
!   45	asm("   alias   _unixstdin,UNIXSTDIN");
!   46	asm("   alias   _unixstdout,UNIXSTDOUT");
!   47	asm("   alias   _unixstderr,UNIXSTDERR");
!   48	asm("   alias   _unixnull,UNIXNULL");
!   49	asm("   alias   _unixeof,UNIXEOF");
!   50	asm("   alias   _unixtty,UNIXTTY");
!   51	*/
!   52	/* Initialize some PSL external variables with FileDescriptors for SysClearIO.
!   53	 */
!   54	extern FILE * unixstdin, * unixstdout, * unixstderr, * unixtty;
!   55	 
!   56	/* Import NULL and EOF constants for error returns from stdio fns.
!   57	 */
!   58	extern int unixnull, unixeof;
!   59	 
!   60	/* Tag( unixinitio )
!   61	 */
!   62	unixinitio()
!   63	{ 
!   64	    unixstdin = stdin;

	sethi	%hi(_iob),%l1
	or	%l1,%lo(_iob),%l1
	sethi	%hi(unixstdin),%l0
	or	%l0,%lo(unixstdin),%l0
	st	%l1,[%l0+0]

	! block 2
.L63:

!   65	    unixstdout = stdout;

	sethi	%hi(_iob+16),%l1
	or	%l1,%lo(_iob+16),%l1
	sethi	%hi(unixstdout),%l0
	or	%l0,%lo(unixstdout),%l0
	st	%l1,[%l0+0]

	! block 3
.L64:

!   66	    unixstderr = stderr;

	sethi	%hi(_iob+32),%l1
	or	%l1,%lo(_iob+32),%l1
	sethi	%hi(unixstderr),%l0
	or	%l0,%lo(unixstderr),%l0
	st	%l1,[%l0+0]

	! block 4
.L65:

!   67	    unixnull = NULL;

	mov	0,%l1
	sethi	%hi(unixnull),%l0
	or	%l0,%lo(unixnull),%l0
	st	%l1,[%l0+0]

	! block 5
.L66:

!   68	    unixeof = EOF;

	mov	-1,%l1
	sethi	%hi(unixeof),%l0
	or	%l0,%lo(unixeof),%l0
	st	%l1,[%l0+0]

	! block 6
.L67:

!   69	    unixtty = fopen("/dev/tty", "r");

	sethi	%hi(.L68),%l0
	or	%l0,%lo(.L68),%l0
	sethi	%hi(.L69),%l1
	or	%l1,%lo(.L69),%l1
	mov	%l0,%o0
	mov	%l1,%o1
	call	fopen
	nop
	mov	%o0,%l1
	sethi	%hi(unixtty),%l0
	or	%l0,%lo(unixtty),%l0
	st	%l1,[%l0+0]
	ba	.L59
	nop

	! block 7
.L70:
.L71:
.L59:
	jmp	%i7+8
	restore
	.size	unixinitio,(.-unixinitio)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixputc
	.type	unixputc,2
unixputc:
	save	%sp,-96,%sp
	st	%i0,[%fp+68]

	! block 1
.L75:
.L76:
.L77:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!   70	}
!   71	 
!   72	/* Tag( unixputc )
!   73	 * Used by kernel routines that write to the console
!   74	 */
!   75	unixputc(c)
!   76	char c;
!   77	{
!   78	    fputc(c, stdout);

	ldsb	[%fp+71],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	sethi	%hi(_iob+16),%l1
	or	%l1,%lo(_iob+16),%l1
	mov	%l0,%o0
	mov	%l1,%o1
	call	fputc
	nop
	ba	.L74
	nop

	! block 2
.L78:
.L79:
.L74:
	jmp	%i7+8
	restore
	.size	unixputc,(.-unixputc)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixputs
	.type	unixputs,2
unixputs:
	save	%sp,-96,%sp
	st	%i0,[%fp+68]

	! block 1
.L83:
.L84:
.L85:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!   79	}
!   80	 
!   81	/* Tag( unixputs )
!   82	 */
!   83	unixputs(str)
!   84	char *str;
!   85	{
!   86	    fputs(str, stdout);

	ld	[%fp+68],%l0
	sethi	%hi(_iob+16),%l1
	or	%l1,%lo(_iob+16),%l1
	mov	%l0,%o0
	mov	%l1,%o1
	call	fputs
	nop
	ba	.L82
	nop

	! block 2
.L86:
.L87:
.L82:
	jmp	%i7+8
	restore
	.size	unixputs,(.-unixputs)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixputn
	.type	unixputn,2
unixputn:
	save	%sp,-96,%sp
	st	%i1,[%fp+72]
	st	%i0,[%fp+68]

	! block 1
.L91:
.L92:
.L93:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!   87	}
!   88	 
!   89	/* Tag( unixputn )
!   90	 */
!   91	unixputn(n)
!   92	long long int n;
!   93	{
!   94	    fprintf(stdout, "%lx", n);

	sethi	%hi(_iob+16),%l0
	or	%l0,%lo(_iob+16),%l0
	sethi	%hi(.L94),%l1
	or	%l1,%lo(.L94),%l1
	ld	[%fp+68],%l2
	ld	[%fp+72],%l3
	mov	%l0,%o0
	mov	%l1,%o1
	mov	%l2,%o2
	mov	%l3,%o3
	call	fprintf
	nop
	ba	.L90
	nop

	! block 2
.L95:
.L96:
.L90:
	jmp	%i7+8
	restore
	.size	unixputn,(.-unixputn)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixcleario
	.type	unixcleario,2
unixcleario:
	save	%sp,-96,%sp

	! block 1
.L100:
.L101:
.L102:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!   95	}
!   96	 
!   97	/* Tag( unixcleario )
!   98	 */
!   99	unixcleario()
!  100	{
!  101	    unixinitio();

	call	unixinitio
	nop

	! block 2
.L103:

!  102	    /* set the stdin, stdout and stderr buffers to be empty */
!  103	    stdin->_cnt = 0;

	mov	0,%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+0]

	! block 3
.L104:

!  104	    stdin->_ptr = stdin->_base;

	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	ld	[%l0+8],%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+4]

	! block 4
.L105:

!  105	    stdout->_cnt = 0;

	mov	0,%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+16]

	! block 5
.L106:

!  106	    stdout->_ptr = stdout->_base;

	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	ld	[%l0+24],%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+20]

	! block 6
.L107:

!  107	    stderr->_cnt = 0;

	mov	0,%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+32]

	! block 7
.L108:

!  108	    stderr->_ptr = stderr->_base;

	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	ld	[%l0+40],%l1
	sethi	%hi(_iob),%l0
	or	%l0,%lo(_iob),%l0
	st	%l1,[%l0+36]

	! block 8
.L109:

!  109	    setvbuf(stdout,NULL,_IOLBF,BUFSIZ);

	sethi	%hi(_iob+16),%l0
	or	%l0,%lo(_iob+16),%l0
	mov	0,%l1
	mov	64,%l2
	mov	1024,%l3
	mov	%l0,%o0
	mov	%l1,%o1
	mov	%l2,%o2
	mov	%l3,%o3
	call	setvbuf
	nop
	ba	.L99
	nop

	! block 9
.L110:
.L111:
.L99:
	jmp	%i7+8
	restore
	.size	unixcleario,(.-unixcleario)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	expand_file_name
	.type	expand_file_name,2
expand_file_name:
	save	%sp,-160,%sp
	st	%i0,[%fp+68]

	! block 1
.L156:
.L157:
.L158:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  110	}
!  111	 
!  112	/* The function expand_file_name is used to expand shell variable references
!  113	   and ~ notation for directories in file names before calling fopen.
!  114	   This eliminates the need for the HPUX-PATH and VAX-PATH kludges that were
!  115	   once required, however, such a mechanism may still be used to override the
!  116	   values supplied by the shell environment.  The file name is first copied
!  117	   to a temporary copy because the parsing algorithm must write into the
!  118	   string (this may change).  For now, the maximum string length supported
!  119	   is 255 characters, but no checking is done to see if this is exceeded.
!  120	   $ and ~ variables are expanded in one pass by calling the functions getenv,
!  121	   getuid, getpwuid, and getpwnam.  If any expansion fails, the original
!  122	   string is returned.
!  123	*/
!  124	 
!  125	#include <pwd.h>
!  126	struct passwd *getpwuid();
!  127	struct passwd *getpwnam();
!  128	char *getenv();
!  129	char collect[255], copy[255];  /* Made global so it won't be overwritten
!  130	                  Used to be local to expand_file_name */
!  131	 
!  132	/* Tag( expand_file_name )
!  133	 */
!  134	char *expand_file_name(fname)
!  135	char *fname;
!  136	{
!  137	  register char *c, *t, *e, *s, save;
!  138	  struct passwd *p;
!  139	  register int tilde;
!  140	  c = copy;

	sethi	%hi(copy),%l0
	or	%l0,%lo(copy),%l0
	mov	%l0,%i5

	! block 2
.L159:

!  141	  s = fname;

	ld	[%fp+68],%l0
	mov	%l0,%i2

	! block 3
.L163:

!  142	  while (*c++ = *s++);

	st	%i5,[%fp-16]
	add	%i5,1,%l0
	mov	%l0,%i5
	st	%i2,[%fp-20]
	add	%i2,1,%l0
	mov	%l0,%i2
	ld	[%fp-20],%l0
	ldsb	[%l0+0],%l0
	stb	%l0,[%fp-21]
	ldsb	[%fp-21],%l1
	ld	[%fp-16],%l0
	stb	%l1,[%l0+0]
	ldsb	[%fp-21],%l0
	stb	%l0,[%fp-9]
	ldsb	[%fp-9],%l0
	stb	%l0,[%fp-22]
	ldsb	[%fp-22],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	be	.L162
	nop

	! block 4
.L164:
.L160:
	st	%i5,[%fp-28]
	add	%i5,1,%l0
	mov	%l0,%i5
	st	%i2,[%fp-32]
	add	%i2,1,%l0
	mov	%l0,%i2
	ld	[%fp-32],%l0
	ldsb	[%l0+0],%l0
	stb	%l0,[%fp-33]
	ldsb	[%fp-33],%l1
	ld	[%fp-28],%l0
	stb	%l1,[%l0+0]
	ldsb	[%fp-33],%l0
	stb	%l0,[%fp-23]
	ldsb	[%fp-23],%l0
	stb	%l0,[%fp-34]
	ldsb	[%fp-34],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	bne	.L160
	nop

	! block 5
.L165:
.L162:
.L166:

!  143	  s = copy;

	sethi	%hi(copy),%l0
	or	%l0,%lo(copy),%l0
	mov	%l0,%i2

	! block 6
.L167:

!  144	  c = collect;

	sethi	%hi(collect),%l0
	or	%l0,%lo(collect),%l0
	mov	%l0,%i5

	! block 7
.L168:

!  145	  *c = '\0';

	mov	0,%l0
	stb	%l0,[%i5+0]

	! block 8
.L172:

!  146	  while (*s)

	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	be	.L171
	nop

	! block 9
.L173:
.L169:
.L174:
.L176:

!  147	    {
!  148	      if ((tilde = (*s == '~')) || (*s == '$'))

	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	subcc	%l0,126,%g0
	mov	0,%l0
	be,a	1f
	mov	1,%l0
1:
	mov	%l0,%i0
	cmp	%i0,%g0
	bne	.L177
	nop

	! block 10
.L178:
	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,36
	bne	.L175
	nop

	! block 11
.L179:
.L177:
.L180:
.L181:

!  149	        {
!  150	      for (e = ++s; (*e != '/' && *e != '\0' && *e != '$'); e++)

	add	%i2,1,%l0
	mov	%l0,%i2
	mov	%i2,%i3
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,47
	be	.L184
	nop

	! block 12
.L185:
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,0
	be	.L184
	nop

	! block 13
.L186:
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,36
	be	.L184
	nop

	! block 14
.L187:
.L182:

!  151	        ;

	add	%i3,1,%l0
	mov	%l0,%i3
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,47
	be	.L188
	nop

	! block 15
.L189:
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,0
	be	.L188
	nop

	! block 16
.L190:
	ldsb	[%i3+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,36
	bne	.L182
	nop

	! block 17
.L191:
.L188:
.L184:
.L192:

!  152	          t = 0;                        /* default initialization */

	mov	0,%l0
	mov	%l0,%i4

	! block 18
.L194:

!  153	          if (e == s)

	cmp	%i3,%i2
	bne	.L193
	nop

	! block 19
.L195:
.L196:
.L198:

!  154	            {
!  155	          if (tilde) { t = ((getpwuid(getuid())) -> pw_dir);

	cmp	%i0,%g0
	be	.L197
	nop

	! block 20
.L199:
.L200:
	call	getuid
	nop
	mov	%o0,%l0
	mov	%l0,%o0
	call	getpwuid
	nop
	mov	%o0,%l0
	add	%l0,28,%l0
	ld	[%l0+0],%l0
	mov	%l0,%i4

	! block 21
.L203:

!  156	                       if (t == NULL) return(fname); }

	mov	0,%l0
	cmp	%i4,%l0
	bne	.L202
	nop

	! block 22
.L204:
	ld	[%fp+68],%l0
	st	%l0,[%fp-4]
	ba	.L155
	nop

	! block 23
.L202:
.L205:
.L197:
.L206:
	ba	.L207
	nop

	! block 24
.L193:
.L208:
.L209:

!  157	        }
!  158	          else
!  159	            {
!  160	          save = *e;

	ldsb	[%i3+0],%l0
	mov	%l0,%i1

	! block 25
.L210:

!  161	              *e = '\0';

	mov	0,%l0
	stb	%l0,[%i3+0]

	! block 26
.L212:

!  162	              if (tilde)

	cmp	%i0,%g0
	be	.L211
	nop

	! block 27
.L213:
.L214:
.L216:

!  163	                {
!  164	          if (p = getpwnam(s))  t = (p -> pw_dir);

	mov	%i2,%o0
	call	getpwnam
	nop
	mov	%o0,%l0
	st	%l0,[%fp-8]
	ld	[%fp-8],%l0
	cmp	%l0,%g0
	be	.L215
	nop

	! block 28
.L217:
	ld	[%fp-8],%l0
	add	%l0,28,%l0
	ld	[%l0+0],%l0
	mov	%l0,%i4

	! block 29
.L215:
.L218:
	ba	.L219
	nop

	! block 30
.L211:
.L220:

!  165	        }
!  166	              else
!  167	                t = getenv(s);

	mov	%i2,%o0
	call	getenv
	nop
	mov	%o0,%l0
	mov	%l0,%i4

	! block 31
.L219:
.L221:

!  168	              *e = save;

	stb	%i1,[%i3+0]

	! block 32
.L222:

!  169	              s = e;

	mov	%i3,%i2

	! block 33
.L223:
.L207:
.L225:

!  170	            }
!  171	          if (t)

	cmp	%i4,%g0
	be	.L224
	nop

	! block 34
.L226:
.L230:

!  172	        while (*c++ = *t++)

	st	%i5,[%fp-40]
	add	%i5,1,%l0
	mov	%l0,%i5
	st	%i4,[%fp-44]
	add	%i4,1,%l0
	mov	%l0,%i4
	ld	[%fp-44],%l0
	ldsb	[%l0+0],%l0
	stb	%l0,[%fp-45]
	ldsb	[%fp-45],%l1
	ld	[%fp-40],%l0
	stb	%l1,[%l0+0]
	ldsb	[%fp-45],%l0
	stb	%l0,[%fp-35]
	ldsb	[%fp-35],%l0
	stb	%l0,[%fp-46]
	ldsb	[%fp-46],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	be	.L229
	nop

	! block 35
.L231:
.L227:

!  173	          ;

	st	%i5,[%fp-52]
	add	%i5,1,%l0
	mov	%l0,%i5
	st	%i4,[%fp-56]
	add	%i4,1,%l0
	mov	%l0,%i4
	ld	[%fp-56],%l0
	ldsb	[%l0+0],%l0
	stb	%l0,[%fp-57]
	ldsb	[%fp-57],%l1
	ld	[%fp-52],%l0
	stb	%l1,[%l0+0]
	ldsb	[%fp-57],%l0
	stb	%l0,[%fp-47]
	ldsb	[%fp-47],%l0
	stb	%l0,[%fp-58]
	ldsb	[%fp-58],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	bne	.L227
	nop

	! block 36
.L232:
.L229:
	ba	.L233
	nop

	! block 37
.L224:
.L234:

!  174	          else
!  175	        return(fname);   /* name not found, just return original fname */

	ld	[%fp+68],%l0
	st	%l0,[%fp-4]
	ba	.L155
	nop

	! block 38
.L233:
.L235:

!  176	          c--;

	sub	%i5,1,%l0
	mov	%l0,%i5

	! block 39
.L236:
.L175:
.L240:

!  177	        }
!  178	    for (; (*s != '\0' && *s != '$'); *c++ = *s++)

	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,0
	be	.L239
	nop

	! block 40
.L241:
	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,36
	be	.L239
	nop

	! block 41
.L242:
.L237:

!  179	      ;

	st	%i5,[%fp-40]
	add	%i5,1,%l0
	mov	%l0,%i5
	st	%i2,[%fp-44]
	add	%i2,1,%l0
	mov	%l0,%i2
	ld	[%fp-44],%l0
	ldsb	[%l0+0],%l1
	ld	[%fp-40],%l0
	stb	%l1,[%l0+0]
	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,0
	be	.L243
	nop

	! block 42
.L244:
	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,36
	bne	.L237
	nop

	! block 43
.L245:
.L243:
.L239:
.L246:

!  180	      *c = '\0';

	mov	0,%l0
	stb	%l0,[%i5+0]

	! block 44
.L247:

!  181	  }

	ldsb	[%i2+0],%l0
	sll	%l0,24,%l0
	sra	%l0,24,%l0
	cmp	%l0,%g0
	bne	.L169
	nop

	! block 45
.L248:
.L171:
.L249:

!  182	  return (collect);

	sethi	%hi(collect),%l0
	or	%l0,%lo(collect),%l0
	st	%l0,[%fp-4]
	ba	.L155
	nop

	! block 46
	ba	.L155
	nop

	! block 47
.L250:
.L251:
.L155:
	ld	[%fp-4],%l0
	mov	%l0,%i0
	jmp	%i7+8
	restore
	.size	expand_file_name,(.-expand_file_name)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixopen
	.type	unixopen,2
unixopen:
	save	%sp,-104,%sp
	st	%i1,[%fp+72]
	st	%i0,[%fp+68]

	! block 1
.L256:
.L257:
.L258:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  183	}
!  184	 
!  185	
!  186	extern int errno;
!  187	 
!  188	/* Tag( unixopen )
!  189	 */
!  190	unixopen(filename, type)
!  191	     char *filename, *type;
!  192	{
!  193	  int fptr;
!  194	 
!  195	  fptr = (int) fopen(expand_file_name(filename), type);

	ld	[%fp+68],%l0
	mov	%l0,%o0
	call	expand_file_name
	nop
	mov	%o0,%l0
	ld	[%fp+72],%l1
	mov	%l0,%o0
	mov	%l1,%o1
	call	fopen
	nop
	mov	%o0,%l0
	st	%l0,[%fp-8]

	! block 2
.L259:

!  196	  return(fptr);

	ld	[%fp-8],%l0
	st	%l0,[%fp-4]
	ba	.L255
	nop

	! block 3
	ba	.L255
	nop

	! block 4
.L260:
.L261:
.L255:
	ld	[%fp-4],%l0
	mov	%l0,%i0
	jmp	%i7+8
	restore
	.size	unixopen,(.-unixopen)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	unixcd
	.type	unixcd,2
unixcd:
	save	%sp,-96,%sp
	st	%i0,[%fp+68]

	! block 1
.L265:
.L266:
.L268:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  197	}
!  198	 
!  199	/* Tag( unixcd )
!  200	 */
!  201	unixcd(filename)
!  202	     char *filename;
!  203	{
!  204	  chdir(expand_file_name(filename));

	ld	[%fp+68],%l0
	mov	%l0,%o0
	call	expand_file_name
	nop
	mov	%o0,%l0
	mov	%l0,%o0
	call	chdir
	nop
	ba	.L264
	nop

	! block 2
.L269:
.L270:
.L264:
	jmp	%i7+8
	restore
	.size	unixcd,(.-unixcd)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	external_system
	.type	external_system,2
external_system:
	save	%sp,-104,%sp
	st	%i0,[%fp+68]

	! block 1
.L274:
.L275:
.L276:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  205	}
!  206	 
!  207	/* Tag( external_system )
!  208	 */
!  209	external_system(command)
!  210	     char *command;
!  211	{
!  212	  int value;
!  213	  value = system(command);

	ld	[%fp+68],%l0
	mov	%l0,%o0
	call	system
	nop
	mov	%o0,%l0
	st	%l0,[%fp-8]

	! block 2
.L277:

!  214	  return(value);

	ld	[%fp-8],%l0
	st	%l0,[%fp-4]
	ba	.L273
	nop

	! block 3
	ba	.L273
	nop

	! block 4
.L278:
.L279:
.L273:
	ld	[%fp-4],%l0
	mov	%l0,%i0
	jmp	%i7+8
	restore
	.size	external_system,(.-external_system)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	external_exit
	.type	external_exit,2
external_exit:
	save	%sp,-96,%sp
	st	%i0,[%fp+68]

	! block 1
.L283:
.L284:
.L286:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  215	}
!  216	 
!  217	/* Tag( external_exit )
!  218	 */
!  219	external_exit(status)
!  220	     int status;
!  221	{
!  222	  exit(status);

	ld	[%fp+68],%l0
	mov	%l0,%o0
	call	exit
	nop
	ba	.L282
	nop

	! block 2
.L287:
.L288:
.L282:
	jmp	%i7+8
	restore
	.size	external_exit,(.-external_exit)
	.align	8
	.align	8
	.skip	16

	! block 0

	.global	copy_argv
	.type	copy_argv,2
copy_argv:
	save	%sp,-104,%sp
	st	%i1,[%fp+72]
	st	%i0,[%fp+68]

	! block 1
.L293:
.L294:
.L295:

! File /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c:
!  223	}
!  224	 
!  225	char *static_argv[20];  /* static place to hold argv so it doesn't get gc'd */
!  226	 
!  227	char ** copy_argv(argc,argv)    /* copy argv into static space. */
!  228	int argc;
!  229	char *argv[];
!  230	{
!  231	  int i;
!  232	 
!  233	  for (i=0; i < argc; i++)

	mov	0,%l0
	st	%l0,[%fp-8]
	ld	[%fp-8],%l1
	ld	[%fp+68],%l0
	cmp	%l1,%l0
	bge	.L298
	nop

	! block 2
.L299:
.L296:
.L300:

!  234	     static_argv[i]=argv[i];

	ld	[%fp+72],%l2
	ld	[%fp-8],%l0
	sll	%l0,2,%l1
	add	%l2,%l1,%l0
	ld	[%l0+0],%l2
	ld	[%fp-8],%l0
	sll	%l0,2,%l0
	sethi	%hi(static_argv),%l1
	or	%l1,%lo(static_argv),%l1
	add	%l0,%l1,%l0
	st	%l2,[%l0+0]

	! block 3
.L301:
	ld	[%fp-8],%l0
	add	%l0,1,%l0
	st	%l0,[%fp-8]
	ld	[%fp-8],%l1
	ld	[%fp+68],%l0
	cmp	%l1,%l0
	bl	.L296
	nop

	! block 4
.L302:
.L298:
.L303:

!  235	 
!  236	  return(static_argv);

	sethi	%hi(static_argv),%l0
	or	%l0,%lo(static_argv),%l0
	st	%l0,[%fp-4]
	ba	.L292
	nop

	! block 5
	ba	.L292
	nop

	! block 6
.L304:
.L305:
.L292:
	ld	[%fp-4],%l0
	mov	%l0,%i0
	jmp	%i7+8
	restore
	.size	copy_argv,(.-copy_argv)
	.align	8

	.section	".data1",#alloc,#write
	.align	4
.L68:
	.ascii	"/dev/tty\000"
	.skip	3
	.type	.L68,#object
	.size	.L68,12
	.align	4
.L69:
	.ascii	"r\000"
	.skip	2
	.type	.L69,#object
	.size	.L69,4
	.align	4
.L94:
	.ascii	"%lx\000"
	.type	.L94,#object
	.size	.L94,4
	.common	copy,255,1
	.common	collect,255,1
	.common	static_argv,80,4

	.section	".bss",#alloc,#write
Bbss.bss:
	.skip	0
	.size	Bbss.bss,0

	.section	".data",#alloc,#write
Ddata.data:
	.skip	0
	.size	Ddata.data,0

	.section	".rodata",#alloc
Drodata.rodata:
	.skip	0
	.size	Drodata.rodata,0

	.file	"unix-io.c"
	.xstabs	".stab.index","/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/",100,0,0,0
	.xstabs	".stab.index","/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c",100,0,3,0
	.stabs	"/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/",100,0,0,0
	.stabs	"/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c",100,0,3,0
	.xstabs	".stab.index","",56,0,0,0
	.xstabs	".stab.index","",56,0,0,0
	.stabs	"",56,0,0,0
	.stabs	"",56,0,0,0
	.xstabs	".stab.index","Xs ; g ; V=3.1 ; R=SC4.0 06/11/96 C 4.0 patch 102955-08 ; G=$XACoTSCX4fM0yJT.",60,0,0,875691543
	.stabs	"Xs ; g ; V=3.1 ; R=SC4.0 06/11/96 C 4.0 patch 102955-08 ; G=$XACoTSCX4fM0yJT.",60,0,0,875691543
	.xstabs	".stab.index","/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64; /opt/SUNWspro/SC4.0/bin/acc -Xs -YP,:/usr/ucblib:/opt/SUNWspro/SC4.0/bin/../lib:/opt/SUNWspro/SC4.0/bin:/usr/ccs/lib:/usr/lib -S -g -G -non_shared -64 -I/usr/ucbinclude  -c /silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c -Qoption acomp -xp\\$XACoTSCX4fM0yJT.",52,0,0,0
	.stabs	"char:t(0,1)=bsc1;0;8;",128,0,0,0
	.stabs	"short:t(0,2)=bs2;0;16;",128,0,0,0
	.stabs	"int:t(0,3)=bs4;0;32;",128,0,0,0
	.stabs	"long:t(0,4)=bs4;0;32;",128,0,0,0
	.stabs	"long long:t(0,5)=bs8;0;64;",128,0,0,0
	.stabs	"signed char:t(0,6)=bsc1;0;8;",128,0,0,0
	.stabs	"signed short:t(0,7)=bs2;0;16;",128,0,0,0
	.stabs	"signed int:t(0,8)=bs4;0;32;",128,0,0,0
	.stabs	"signed long:t(0,9)=bs4;0;32;",128,0,0,0
	.stabs	"signed long long:t(0,10)=bs8;0;64;",128,0,0,0
	.stabs	"unsigned char:t(0,11)=buc1;0;8;",128,0,0,0
	.stabs	"unsigned short:t(0,12)=bu2;0;16;",128,0,0,0
	.stabs	"unsigned:t(0,13)=bu4;0;32;",128,0,0,0
	.stabs	"unsigned int:t(0,14)=bu4;0;32;",128,0,0,0
	.stabs	"unsigned long:t(0,15)=bu4;0;32;",128,0,0,0
	.stabs	"unsigned long long:t(0,16)=bu8;0;64;",128,0,0,0
	.stabs	"float:t(0,17)=R1;4;",128,0,0,0
	.stabs	"double:t(0,18)=R2;8;",128,0,0,0
	.stabs	"long double:t(0,19)=R6;16;",128,0,0,0
	.stabs	"void:t(0,20)=bs0;0;0",128,0,0,0
	.stabs	"/usr/ucbinclude/stdio.h",130,0,0,0
	.stabs	"/usr/include/sys/va_list.h",130,0,0,0
	.stabs	"__va_list:t(2,1)=*(0,1)",128,0,4,2
	.stabn	162,0,0,0
	.stabs	"size_t:t(1,1)=(0,14)",128,0,4,8192
	.stabs	"fpos_t:t(1,2)=(0,4)",128,0,4,128
	.stabs	":T(1,3)=s16_cnt:(0,3),0,32;_ptr:(1,4)=*(0,11),32,32;_base:(1,4),64,32;_flag:(0,11),96,8;_file:(0,11),104,8;;",128,0,16,1
	.stabs	"FILE:t(1,5)=(1,3)",128,0,16,2048
	.stabn	162,0,0,0
	.xstabs	".stab.index","unixinitio",36,0,0,0
	.stabs	"unixinitio:F(0,3)",36,0,0,0
	.stabn	192,0,1,.L61-unixinitio+0
	.stabs	"/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c",132,0,0,0
	.stabn	68,0,64,.L62-unixinitio+0
	.stabn	68,0,65,.L63-unixinitio+0
	.stabn	68,0,66,.L64-unixinitio+0
	.stabn	68,0,67,.L65-unixinitio+0
	.stabn	68,0,68,.L66-unixinitio+0
	.stabn	68,0,69,.L67-unixinitio+0
	.stabn	68,0,70,.L70-unixinitio+0
	.stabn	224,0,1,.L71-unixinitio+0
	.xstabs	".stab.index","unixputc",36,0,0,0
	.stabs	"unixputc:F(0,3);(0,21)=(0,21)",36,0,0,0
	.stabs	"c:p(0,1)",160,0,1,71
	.stabn	192,0,1,.L76-unixputc+0
	.stabn	68,0,78,.L77-unixputc+0
	.stabn	68,0,79,.L78-unixputc+0
	.stabn	224,0,1,.L79-unixputc+0
	.xstabs	".stab.index","unixputs",36,0,0,0
	.stabs	"unixputs:F(0,3);(0,22)=*(0,1)",36,0,0,0
	.stabs	"str:p(0,22)",160,0,4,68
	.stabn	192,0,1,.L84-unixputs+0
	.stabn	68,0,86,.L85-unixputs+0
	.stabn	68,0,87,.L86-unixputs+0
	.stabn	224,0,1,.L87-unixputs+0
	.xstabs	".stab.index","unixputn",36,0,0,0
	.stabs	"unixputn:F(0,3);(0,5)",36,0,0,0
	.stabs	"n:p(0,5)",160,0,8,68
	.stabn	192,0,1,.L92-unixputn+0
	.stabn	68,0,94,.L93-unixputn+0
	.stabn	68,0,95,.L95-unixputn+0
	.stabn	224,0,1,.L96-unixputn+0
	.xstabs	".stab.index","unixcleario",36,0,0,0
	.stabs	"unixcleario:F(0,3)",36,0,0,0
	.stabn	192,0,1,.L101-unixcleario+0
	.stabn	68,0,101,.L102-unixcleario+0
	.stabn	68,0,103,.L103-unixcleario+0
	.stabn	68,0,104,.L104-unixcleario+0
	.stabn	68,0,105,.L105-unixcleario+0
	.stabn	68,0,106,.L106-unixcleario+0
	.stabn	68,0,107,.L107-unixcleario+0
	.stabn	68,0,108,.L108-unixcleario+0
	.stabn	68,0,109,.L109-unixcleario+0
	.stabn	68,0,110,.L110-unixcleario+0
	.stabn	224,0,1,.L111-unixcleario+0
	.stabs	"/usr/include/pwd.h",130,0,0,0
	.stabs	"/usr/include/sys/feature_tests.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/ucbinclude/sys/types.h",130,0,0,0
	.stabs	"_physadr:T(5,1)=s4r:(5,2)=ar(0,3);0;0;(0,3),0,32;;",128,0,4,1
	.stabs	"physadr:t(5,3)=*(5,1)",128,0,4,2048
	.stabs	"_label:T(5,4)=s8val:(5,5)=ar(0,3);0;1;(0,3),0,64;;",128,0,8,1
	.stabs	"label_t:t(5,6)=(5,4)",128,0,8,2048
	.stabs	"uchar_t:t(5,7)=(0,11)",128,0,1,8194
	.stabs	"ushort_t:t(5,8)=(0,12)",128,0,2,8704
	.stabs	"uint_t:t(5,9)=(0,14)",128,0,4,8192
	.stabs	"ulong_t:t(5,10)=(0,15)",128,0,4,8320
	.stabs	"addr_t:t(5,11)=*(0,1)",128,0,4,2
	.stabs	"caddr_t:t(5,12)=*(0,1)",128,0,4,2
	.stabs	"daddr_t:t(5,13)=(0,4)",128,0,4,128
	.stabs	"off_t:t(5,14)=(0,4)",128,0,4,128
	.stabs	"cnt_t:t(5,15)=(0,2)",128,0,2,512
	.stabs	"paddr_t:t(5,16)=(0,15)",128,0,4,73856
	.stabs	"use_t:t(5,17)=(0,11)",128,0,1,73730
	.stabs	"sysid_t:t(5,18)=(0,2)",128,0,2,512
	.stabs	"index_t:t(5,19)=(0,2)",128,0,2,512
	.stabs	"swblk_t:t(5,20)=(0,4)",128,0,4,128
	.stabs	"lock_t:t(5,21)=(0,2)",128,0,2,512
	.stabs	"boolean:T(5,22)=eB_FALSE:0,B_TRUE:1,;",128,0,4,1
	.stabs	"boolean_t:t(5,23)=(5,22)",128,0,4,16
	.stabs	"l_dev_t:t(5,24)=(0,15)",128,0,4,73856
	.stabs	"longlong_t:t(5,25)=(0,5)",128,0,8,131072
	.stabs	"u_longlong_t:t(5,26)=(0,16)",128,0,8,139264
	.stabs	"offset_t:t(5,27)=(0,5)",128,0,8,196608
	.stabs	"diskaddr_t:t(5,28)=(0,5)",128,0,8,196608
	.stabs	":T(5,29)=s8_u:(0,4),0,32;_l:(5,14),32,32;;",128,0,8,1
	.stabs	"lloff:T(5,30)=u8_f:(5,27),0,64;_p:(5,29),0,64;;",128,0,8,1
	.stabs	"lloff_t:t(5,31)=(5,30)",128,0,8,4096
	.stabs	":T(5,32)=s8_u:(0,4),0,32;_l:(5,13),32,32;;",128,0,8,1
	.stabs	"lldaddr:T(5,33)=u8_f:(5,28),0,64;_p:(5,32),0,64;;",128,0,8,1
	.stabs	"lldaddr_t:t(5,34)=(5,33)",128,0,8,4096
	.stabs	"k_fltset_t:t(5,35)=(0,15)",128,0,4,73856
	.stabs	"id_t:t(5,36)=(0,4)",128,0,4,128
	.stabs	"major_t:t(5,37)=(0,15)",128,0,4,73856
	.stabs	"minor_t:t(5,38)=(0,15)",128,0,4,73856
	.stabs	"pri_t:t(5,39)=(0,2)",128,0,2,512
	.stabs	"o_mode_t:t(5,40)=(0,12)",128,0,2,74240
	.stabs	"o_dev_t:t(5,41)=(0,2)",128,0,2,512
	.stabs	"o_uid_t:t(5,42)=(0,12)",128,0,2,74240
	.stabs	"o_gid_t:t(5,43)=(0,12)",128,0,2,74240
	.stabs	"o_nlink_t:t(5,44)=(0,2)",128,0,2,512
	.stabs	"o_pid_t:t(5,45)=(0,2)",128,0,2,512
	.stabs	"o_ino_t:t(5,46)=(0,12)",128,0,2,74240
	.stabs	"key_t:t(5,47)=(0,3)",128,0,4,64
	.stabs	"mode_t:t(5,48)=(0,15)",128,0,4,73856
	.stabs	"uid_t:t(5,49)=(0,4)",128,0,4,128
	.stabs	"gid_t:t(5,50)=(0,4)",128,0,4,65664
	.stabs	"nlink_t:t(5,51)=(0,15)",128,0,4,73856
	.stabs	"dev_t:t(5,52)=(0,15)",128,0,4,73856
	.stabs	"ino_t:t(5,53)=(0,15)",128,0,4,73856
	.stabs	"pid_t:t(5,54)=(0,4)",128,0,4,128
	.stabs	"ssize_t:t(5,55)=(0,3)",128,0,4,64
	.stabs	"time_t:t(5,56)=(0,4)",128,0,4,128
	.stabs	"clock_t:t(5,57)=(0,4)",128,0,4,128
	.stabs	"unchar:t(5,58)=(0,11)",128,0,1,8194
	.stabs	"uint:t(5,59)=(0,14)",128,0,4,8192
	.stabs	"ulong:t(5,60)=(0,15)",128,0,4,8320
	.stabs	"hostid_t:t(5,61)=(0,4)",128,0,4,128
	.stabs	"u_char:t(5,62)=(0,11)",128,0,1,8194
	.stabs	"u_short:t(5,63)=(0,12)",128,0,2,8704
	.stabs	"u_int:t(5,64)=(0,14)",128,0,4,8192
	.stabs	"u_long:t(5,65)=(0,15)",128,0,4,8320
	.stabs	"ushort:t(5,66)=(0,12)",128,0,2,8704
	.stabs	"_quad:T(5,67)=s8val:(5,68)=ar(0,3);0;1;(0,4),0,64;;",128,0,8,1
	.stabs	"quad:t(5,69)=(5,67)",128,0,8,2048
	.stabs	"/usr/include/sys/select.h",130,0,0,0
	.stabs	"/usr/include/sys/time.h",130,0,0,0
	.stabs	"/usr/include/sys/feature_tests.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"timeval:T(7,1)=s8tv_sec:(0,4),0,32;tv_usec:(0,4),32,32;;",128,0,8,1
	.stabs	"timezone:T(7,2)=s8tz_minuteswest:(0,3),0,32;tz_dsttime:(0,3),32,32;;",128,0,8,1
	.stabs	"/usr/ucbinclude/sys/types.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"itimerval:T(7,3)=s16it_interval:(7,1),0,64;it_value:(7,1),64,64;;",128,0,16,1
	.stabs	"timespec:T(7,4)=s8tv_sec:(5,56),0,32;tv_nsec:(0,4),32,32;;",128,0,8,1
	.stabs	"timespec_t:t(7,5)=(7,4)",128,0,8,2048
	.stabs	"timestruc_t:t(7,6)=(7,4)",128,0,8,2048
	.stabs	"itimerspec:T(7,7)=s16it_interval:(7,4),0,64;it_value:(7,4),64,64;;",128,0,16,1
	.stabs	"itimerspec_t:t(7,8)=(7,7)",128,0,16,2048
	.stabs	"hrtime_t:t(7,9)=(0,5)",128,0,8,196608
	.stabs	"/usr/include/time.h",130,0,0,0
	.stabs	"/usr/include/sys/feature_tests.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"clockid_t:t(10,1)=(0,3)",128,0,4,64
	.stabs	"timer_t:t(10,2)=(0,3)",128,0,4,64
	.stabs	"tm:T(10,3)=s36tm_sec:(0,3),0,32;tm_min:(0,3),32,32;tm_hour:(0,3),64,32;tm_mday:(0,3),96,32;tm_mon:(0,3),128,32;tm_year:(0,3),160,32;tm_wday:(0,3),192,32;tm_yday:(0,3),224,32;\\",128,0,36,1
	.stabs	"tm_isdst:(0,3),256,32;;",128,0,36,1
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"fd_mask:t(6,1)=(0,4)",128,0,4,128
	.stabs	"fd_set:T(6,2)=s128fds_bits:(6,3)=ar(0,3);0;31;(6,1),0,1024;;",128,0,128,1
	.stabs	"fd_set:t(6,4)=(6,2)",128,0,128,2048
	.stabn	162,0,0,0
	.stabs	"/usr/ucbinclude/sys/sysmacros.h",130,0,0,0
	.stabn	162,0,0,0
	.stabn	162,0,0,0
	.stabs	"/usr/ucbinclude/stdio.h",130,0,0,0
	.stabn	162,0,0,0
	.stabs	"passwd:T(3,1)=s36pw_name:(0,22),0,32;pw_passwd:(0,22),32,32;pw_uid:(5,49),64,32;pw_gid:(5,50),96,32;pw_age:(0,22),128,32;pw_comment:(0,22),160,32;pw_gecos:(0,22),192,32;pw_dir:(0,22),224,32;\\",128,0,36,1
	.stabs	"pw_shell:(0,22),256,32;;",128,0,36,1
	.stabs	"comment:T(3,2)=s16c_dept:(0,22),0,32;c_name:(0,22),32,32;c_acct:(0,22),64,32;c_bin:(0,22),96,32;;",128,0,16,1
	.stabn	162,0,0,0
	.xstabs	".stab.index","expand_file_name",36,0,0,0
	.stabs	"expand_file_name:F(0,22);(0,22)",36,0,0,0
	.stabs	"fname:p(0,22)",160,0,4,68
	.stabn	192,0,1,.L157-expand_file_name+0
	.stabs	"c:r(0,22)",64,0,4,29
	.stabs	"t:r(0,22)",64,0,4,28
	.stabs	"e:r(0,22)",64,0,4,27
	.stabs	"s:r(0,22)",64,0,4,26
	.stabs	"save:r(0,1)",64,0,1,25
	.stabs	"p:(0,23)=*(3,1)",128,0,4,-8
	.stabs	"tilde:r(0,3)",64,0,4,24
	.stabs	"/silo/cons/verkaufpsl/dist/kernel/Mips_iris_64/unix-io.c",132,0,0,0
	.stabn	68,0,140,.L158-expand_file_name+0
	.stabn	68,0,141,.L159-expand_file_name+0
	.stabn	68,0,142,.L163-expand_file_name+0
	.stabn	68,0,143,.L166-expand_file_name+0
	.stabn	68,0,144,.L167-expand_file_name+0
	.stabn	68,0,145,.L168-expand_file_name+0
	.stabn	68,0,146,.L172-expand_file_name+0
	.stabn	192,0,2,.L174-expand_file_name+0
	.stabn	68,0,148,.L176-expand_file_name+0
	.stabn	192,0,3,.L180-expand_file_name+0
	.stabn	68,0,150,.L181-expand_file_name+0
	.stabn	68,0,152,.L192-expand_file_name+0
	.stabn	68,0,153,.L194-expand_file_name+0
	.stabn	192,0,4,.L196-expand_file_name+0
	.stabn	68,0,155,.L198-expand_file_name+0
	.stabn	192,0,5,.L200-expand_file_name+0
	.stabn	68,0,156,.L203-expand_file_name+0
	.stabs	"getuid:P(0,3)",36,0,0,0
	.stabn	224,0,5,.L205-expand_file_name+0
	.stabn	224,0,4,.L206-expand_file_name+0
	.stabn	192,0,4,.L208-expand_file_name+0
	.stabn	68,0,160,.L209-expand_file_name+0
	.stabn	68,0,161,.L210-expand_file_name+0
	.stabn	68,0,162,.L212-expand_file_name+0
	.stabn	192,0,5,.L214-expand_file_name+0
	.stabn	68,0,164,.L216-expand_file_name+0
	.stabn	224,0,5,.L218-expand_file_name+0
	.stabn	68,0,167,.L220-expand_file_name+0
	.stabn	68,0,168,.L221-expand_file_name+0
	.stabn	68,0,169,.L222-expand_file_name+0
	.stabn	224,0,4,.L223-expand_file_name+0
	.stabn	68,0,171,.L225-expand_file_name+0
	.stabn	68,0,172,.L230-expand_file_name+0
	.stabn	68,0,175,.L234-expand_file_name+0
	.stabn	68,0,176,.L235-expand_file_name+0
	.stabn	224,0,3,.L236-expand_file_name+0
	.stabn	68,0,178,.L240-expand_file_name+0
	.stabn	68,0,180,.L246-expand_file_name+0
	.stabn	224,0,2,.L247-expand_file_name+0
	.stabn	68,0,182,.L249-expand_file_name+0
	.stabn	68,0,183,.L250-expand_file_name+0
	.stabn	224,0,1,.L251-expand_file_name+0
	.xstabs	".stab.index","unixopen",36,0,0,0
	.stabs	"unixopen:F(0,3);(0,22);(0,22)",36,0,0,0
	.stabs	"filename:p(0,22)",160,0,4,68
	.stabs	"type:p(0,22)",160,0,4,72
	.stabn	192,0,1,.L257-unixopen+0
	.stabs	"fptr:(0,3)",128,0,4,-8
	.stabn	68,0,195,.L258-unixopen+0
	.stabn	68,0,196,.L259-unixopen+0
	.stabn	68,0,197,.L260-unixopen+0
	.stabn	224,0,1,.L261-unixopen+0
	.xstabs	".stab.index","unixcd",36,0,0,0
	.stabs	"unixcd:F(0,3);(0,22)",36,0,0,0
	.stabs	"filename:p(0,22)",160,0,4,68
	.stabn	192,0,1,.L266-unixcd+0
	.stabn	68,0,204,.L268-unixcd+0
	.stabs	"chdir:P(0,3)",36,0,0,0
	.stabn	68,0,205,.L269-unixcd+0
	.stabn	224,0,1,.L270-unixcd+0
	.xstabs	".stab.index","external_system",36,0,0,0
	.stabs	"external_system:F(0,3);(0,22)",36,0,0,0
	.stabs	"command:p(0,22)",160,0,4,68
	.stabn	192,0,1,.L275-external_system+0
	.stabs	"value:(0,3)",128,0,4,-8
	.stabn	68,0,213,.L276-external_system+0
	.stabn	68,0,214,.L277-external_system+0
	.stabn	68,0,215,.L278-external_system+0
	.stabn	224,0,1,.L279-external_system+0
	.xstabs	".stab.index","external_exit",36,0,0,0
	.stabs	"external_exit:F(0,3);(0,3)",36,0,0,0
	.stabs	"status:p(0,3)",160,0,4,68
	.stabn	192,0,1,.L284-external_exit+0
	.stabn	68,0,222,.L286-external_exit+0
	.stabs	"exit:P(0,3)",36,0,0,0
	.stabn	68,0,223,.L287-external_exit+0
	.stabn	224,0,1,.L288-external_exit+0
	.xstabs	".stab.index","copy_argv",36,0,0,0
	.stabs	"copy_argv:F(0,24)=*(0,22);(0,3);(0,24)",36,0,0,0
	.stabs	"argc:p(0,3)",160,0,4,68
	.stabs	"argv:p(0,24)",160,0,4,72
	.stabn	192,0,1,.L294-copy_argv+0
	.stabs	"i:(0,3)",128,0,4,-8
	.stabn	68,0,233,.L295-copy_argv+0
	.stabn	68,0,234,.L300-copy_argv+0
	.stabn	68,0,233,.L301-copy_argv+0
	.stabn	68,0,236,.L303-copy_argv+0
	.stabn	68,0,237,.L304-copy_argv+0
	.stabn	224,0,1,.L305-copy_argv+0
	.xstabs	".stab.index","static_argv",32,0,0,0
	.stabs	"static_argv:G(0,25)=ar(0,3);0;19;(0,22)",32,0,80,0
	.xstabs	".stab.index","copy",32,0,0,0
	.stabs	"copy:G(0,26)=ar(0,3);0;254;(0,1)",32,0,255,0
	.xstabs	".stab.index","collect",32,0,0,0
	.stabs	"collect:G(0,27)=ar(0,3);0;254;(0,1)",32,0,255,0
	.stabs	"getenv:P(0,22)",36,0,0,0
	.stabs	"getpwnam:P(0,23)",36,0,0,0
	.stabs	"getpwuid:P(0,23)",36,0,0,0
	.stabs	"system:P(0,3)",36,0,0,0
	.stabs	"setvbuf:P(0,3)",36,0,0,0
	.stabs	"fputs:P(0,3)",36,0,0,0
	.stabs	"fputc:P(0,3)",36,0,0,0
	.stabs	"fprintf:P(0,3)",36,0,0,0
	.stabs	"fopen:P(0,28)=*(1,5)",36,0,0,0
	.stabs	"",98,0,0,0
	.ident	"@(#)stdio.h	1.7	95/06/08 SMI"
	.ident	"@(#)va_list.h	1.6	96/01/26 SMI"
	.ident	"@(#)pwd.h	1.17	95/08/28 SMI"
	.ident	"@(#)feature_tests.h	1.7	94/12/06 SMI"
	.ident	"@(#)types.h	1.10	93/07/21 SMI"
	.ident	"@(#)select.h	1.10	92/07/14 SMI"
	.ident	"@(#)time.h	2.47	95/08/24 SMI"
	.ident	"@(#)types.h	1.10	93/07/21 SMI"
	.ident	"@(#)time.h	1.23	95/08/28 SMI"
	.ident	"@(#)sysmacros.h	1.1	90/04/27 SMI"
	.ident	"@(#)stdio.h	1.7	95/06/08 SMI"
	.ident	"acomp: SC4.0 06/11/96 C 4.0 patch 102955-08"
