/*
 * sigs.c - External routines to deal with signals
 *
 */
 
#include <signal.h>
#include <setjmp.h> 

/* #define _Far16 _far16 */
#define INCL_DOSEXCEPTIONS
#define INCL_BASE
#define ICNL_DOSSEMAPHORES
#include <os2.h> 
#include <stdio.h>


extern int win_mode;
extern long bruch_bruch;

(*hugo[20])(); 
ULONG uhugo[20];

int exceptions[20];

ULONG _cdecl myHandler(PEXCEPTIONREPORTRECORD pERepRec,
                       PEXCEPTIONREGISTRATIONRECORD pERegRec,
                       PCONTEXTRECORD pCtxRec,
                       PVOID p)
   { 
     int i,x;

     x= ( pERepRec->ExceptionNum  ) & 0xffff;

     
     if(x == 1 ||  !(pCtxRec->ContextFlags & CONTEXT_CONTROL) ) 
           return(XCPT_CONTINUE_SEARCH);
     
     if(x == 3)   /* signal received */
     {
        
        DosAcknowledgeSignalException(pERepRec->ExceptionInfo[0]);  
        
        if(win_mode)
        {
          HEV hev=0;
          ULONG cnt=0;
          DosOpenEventSem("\\sem32\\pslbreak",&hev);
          DosQueryEventSem(hev,&cnt);
          if(cnt) pERepRec->ExceptionInfo[0] = XCPT_SIGNAL_BREAK;   
          DosCloseEventSem(hev);
        }

        if(pERepRec->ExceptionInfo[0] == XCPT_SIGNAL_KILLPROC)
        { 
          printf("***** Kill Signal received - terminating\n");
          exit(99);
        }


        if(bruch_bruch < 0)
        { 
          printf("***** double Interrupt Signal - terminating\n");
          exit(99);
        }
        
        
        printf("**** Interrupt Signal registered\n");
        bruch_bruch = -1;
        return(XCPT_CONTINUE_EXECUTION);  

     }

     for(i=0;i<20;i++)
      if(exceptions[i] == x)  /* hugo[x](x,pERepRec->ExceptionAddress ); */
        { 
         pCtxRec->ctx_RegEbx = (ULONG) pERepRec->ExceptionAddress;
         pCtxRec->ctx_RegEip = uhugo[x];
         return(XCPT_CONTINUE_EXECUTION);
        };

     return(XCPT_CONTINUE_SEARCH);
   }


prepare_exceptions()
{
  long i,j;
  for(i=0; i<20; i++) exceptions[i]=0;
  j = DosSetSignalExceptionFocus(SIG_SETFOCUS,&i);
}

sun3_sigset( sig, action )
void (*action)(); 
int sig;
{
    int i=0;


  lupe:
    if(exceptions[i] == 0 || exceptions[i] == sig)
      { 
       exceptions[i] = sig; 
       uhugo[i] = (ULONG) action;
       hugo[sig] = action;
       return(0);
      };
    if(i++ < 20) goto lupe;
    printf("cannot add exception %x\n",sig);
    return(0);
}
 
sigrelse(sig, action)
void (*action)();
int sig;
{
  return (0);
}  
 
ieee_handler()
{
  return(0);
}

ualarm()

{
  return(0);
}

ieee_flags()
{
  return(0);
}
