/****************************************************************************

***************************************************************************/

#include "psllw.h"
#include "psllcall.h"

extern int     wColumns;
extern HWND    hWnd;
extern int     storedir;
extern char    FileName[];
extern HANDLE  hPageCurs;
extern HANDLE  hpipe;

HANDLE pipe_open(LPSTR name);
pipe_write(HANDLE ,LPSTR ,long);     


long psll_call(p1,p2,p3,p4)
    long p1,p2,p3,p4;
   { DWORD ptr16;
     LPSTR sptr;
     int k; long l;
     char c;

    switch((unsigned int) p4){
    
     case YESP:                             /* 18 yesp  */
        return((long)yesp((char*)p1));
     
     case LINELENGTH:
       return((long) wColumns);           /* get window linelength */
    
     case ASKUSER:                             /* ask user */
        if(askUser((char*)p1))
        return((long)FileName);
        else return((long)0);

     case HELP:                             /* help entry */
        l= psl_help((int)p1,(char*)p2);
        return(l);


     case PIPE_OPEN:
        return((long)pipe_open((char*)p1));
        break;

     case PIPE_CLOSE: 
        return(pipe_close((int)p1));

     default:
        my_puts("psll_call unknown mode:"); my_newline();
        melden("p1:",(long) p1);
        melden("p2:",(long) p2); 
        melden("p3:",(long) p3); 
        melden("p4:",(long) p4); 
        break; 
     }

     return((long)0);
   }

melden(char * txt, long i)
   { my_puts(txt);
     my_putint(i);
     my_newline();
   }

#include "winpipes.c"
